#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libosip2
Version		:	5.3.1
Release		:	17.0.10.rel%{?dist}
Summary		:	oSIP is an implementation of SIP

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.gnu.org/software/osip/
 

Source0		:	https://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
oSIP is an implementation of SIP.
 
SIP stands for the Session Initiation Protocol and
is described by the rfc3261 (wich deprecates rfc2543).
This library aims to provide multimedia and telecom
software developers an easy and powerful interface to
initiate and control SIP based sessions in their
applications.
SIP is a open standard replacement from IETF for H.323.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog
%doc FEATURES HISTORY NEWS README 
%{_libdir}/%{name}.so.15*
%{_libdir}/libosipparser2.so.15*
 

#=============================================================================
%package		devel
Summary		:	Development libraries for oSIP
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The GNU oSIP library is written in C and get no
dependencies except the standard C library.
oSIP is thread safe and will generally be used in a
multi-threaded application. Nevertheless, this is optional.
 
oSIP is little in size and code and thus could
be use to implement IP soft-phone as well as
embedded SIP software. oSIP is not limited to endpoint
agents, and can also be used to implement "SIP proxy".
 
oSIP does not intend to provide a high layer API
for controlling "SIP Session" at this step.
Instead, it currently provides an API for the
SIP message parser, SDP message parser, and library
to handle "SIP transactions" as defined by the
SIP document.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/osip2/*.h
%{_includedir}/osipparser2/*.h
%{_includedir}/osipparser2/headers/*.h
%{_libdir}/%{name}.so
%{_libdir}/libosipparser2.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/osip2.1*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif -I scripts
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Rename and move manpage.
%{__mv}							\
	%{buildroot}%{_mandir}/man1/osip.1		\
	%{buildroot}%{_mandir}/man1/osip2.1

#-----------------------------------------------------------------------------
%changelog
